Error with Jdk1.5 with oracle

Raj
2006-02-07
2013-05-02
  • Raj
    Raj
    2006-02-07

    This information is given in the java compatibility. we are facing the same problem when running from the source at dbports. plz give me any suggestion if there. and also can i use java1.4.2 for this compiere.

    JDBC - As of 5.0, comparing a java.sql.Timestamp to a java.util.Date by invoking compareTo on the Timestamp results in a ClassCastException. For example, the following code successfully compares a Timestamp and Date in 1.4.2, but fails with an exception in 5.0:

    aTimeStamp.compareTo(aDate)  //NO LONGER WORKSThis change affects even pre-compiled code, resulting in a binary compatibility problem where compiled code that used to run under earlier releases fails in 5.0. We expect to fix this problem in a future release.